# RakMemoryOverride.h File Reference

If _USE_RAK_MEMORY_OVERRIDE is defined, memory allocations go through rakMalloc, rakRealloc, and rakFree. More...

`#include "Export.h"`
`#include "RakNetDefines.h"`
`#include <new>`
`#include "RakAlloca.h"`

## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

If _USE_RAK_MEMORY_OVERRIDE is defined, memory allocations go through rakMalloc, rakRealloc, and rakFree.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.